Loading...
Searching...
No Matches
juce::PushNotifications::Channel Struct Reference

## Detailed Description

Android API level 26 or higher only: Represents notification channel through which notifications will be sent.

Starting from Android API level 26, you should call setupChannels() at the start of your application, before posting any notifications. Then, when sending notifications, assign a channel to each created notification.

The documentation for this struct was generated from the following file:

- juce_gui_extra/misc/juce_PushNotifications.h

## Public Types

enum | Importance { none , min , low , normal , high , max }
| Controls how interruptive the notification posted on this channel are. More...

## Public Attributes

String | identifier
| Required: Unique channel identifier.
String | name
| Required: User facing name of the channel.
Importance | importance = normal
| Required.
Notification::LockScreenAppearance | lockScreenAppearance = Notification::showPartially
| Optional.
String | description
| Optional: user visible description of the channel.
String | groupId
| Required: group this channel belongs to (see ChannelGroup).
Colour | ledColour
| Optional: sets the led colour for notifications in this channel.
bool | bypassDoNotDisturb = false
| Optional: true if notifications in this channel can bypass do not disturb setting.
bool | canShowBadge = false
| Optional: true if notifications in this channel can show badges in a Launcher application.
bool | enableLights = false
| Optional: true if notifications in this channel should show lights (subject to hardware support).
bool | enableVibration = false
| Optional: true if notifications in this channel should trigger vibrations.
URL | soundToPlay
| Optional: sound to play in this channel.
Array< int > | vibrationPattern
| Optional: vibration pattern for this channel.

## Member Enums

## Importance

enum juce::PushNotifications::Channel::Importance

Controls how interruptive the notification posted on this channel are.

Enumerator
none |
min |
low |
normal |
high |
max |

## Member Data Documentation

## identifier

String juce::PushNotifications::Channel::identifier

Required: Unique channel identifier.

## name

String juce::PushNotifications::Channel::name

Required: User facing name of the channel.

## importance

Importance juce::PushNotifications::Channel::importance = normal

Required.

## lockScreenAppearance

Notification::LockScreenAppearance juce::PushNotifications::Channel::lockScreenAppearance = Notification::showPartially

Optional.

## description

String juce::PushNotifications::Channel::description

Optional: user visible description of the channel.

## groupId

String juce::PushNotifications::Channel::groupId

Required: group this channel belongs to (see ChannelGroup).

## ledColour

Colour juce::PushNotifications::Channel::ledColour

Optional: sets the led colour for notifications in this channel.

## bypassDoNotDisturb

bool juce::PushNotifications::Channel::bypassDoNotDisturb = false

Optional: true if notifications in this channel can bypass do not disturb setting.

## canShowBadge

bool juce::PushNotifications::Channel::canShowBadge = false

Optional: true if notifications in this channel can show badges in a Launcher application.

## enableLights

bool juce::PushNotifications::Channel::enableLights = false

Optional: true if notifications in this channel should show lights (subject to hardware support).

## enableVibration

bool juce::PushNotifications::Channel::enableVibration = false

Optional: true if notifications in this channel should trigger vibrations.

## soundToPlay

URL juce::PushNotifications::Channel::soundToPlay

Optional: sound to play in this channel.

See Notification::soundToPlay for more info.

## vibrationPattern

Array<int> juce::PushNotifications::Channel::vibrationPattern

Optional: vibration pattern for this channel.

See Notification::vibrationPattern for more info.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited